@echo off >nul
echo off >nul
cls >nul
if !%1! == !! goto usage
if !%3! == !continue! goto continue
set GuySpySource=A:
if not !%2!  == !! set GuySpySource=%2
echo Installing Guy Spy from drive %GuySpySource% to drive %1 >con
echo Press any key to continue, or CTRL-BREAK to abort. >con
pause <con >nul
%1
md \guy >nul
cd \guy >nul
echo Please insert disk 1 in drive %GuySpySource% >con
pause >con <con
set GuySpyThree=0
if exist %GuySpySource%GUYSPY2.DAT set GuySpyThree=1
if exist %GuySpySource%GUYSPY3.DAT set GuySpyThree=2
if exist %GuySpySource%GUYSPY4.DAT set GuySpyThree=3
copy %GuySpySource%*.* >nul
install %1 %GuySpySource% continue

:continue
echo Please insert disk 2 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
if %GuySpyThree% == 3 goto Finished
echo Please insert disk 3 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
if %GuySpyThree% == 2 goto Finished
echo Please insert disk 4 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
if %GuySpyThree% == 1 goto Finished
echo Please insert disk 5 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
echo Please insert disk 6 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
echo Please insert disk 7 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
echo Please insert disk 8 in drive %GuySpySource% >con
pause >con <con
copy %GuySpySource%*.* >nul
:Finished
echo GuySpy has been installed.>con
echo To start, type GUYSPY [enter] >con
goto end

:usage
echo To install Guy Spy on your hard disk, type >con
echo     INSTALL drive1 [drive2]. >con
echo where drive1 is the hard disk letter on which you want to install, >con
echo and drive2 is the source (floppy) drive. Drive2 parameter is optional >con
echo and defaults to A:. You must put a colon after drive letters. >con
echo Please note that Guy Spy requires 2.9 megs of hard disk space. >con
echo Typically enter: >con
echo     INSTALL C:
:end
set GuySpyThree=
set GuySpySource=
